I have 10.5.8, iTunes will not work because I require a Quicktime update. Cant update Quicktime cause the OS is too old. Do I upgrade to Snow Leopard?

  • Asked about:  Mac OS X 10.6 Snow Leopard

1 Answer from the Community

  • Answer

    yep